Skip to main content
GET
/
v1
/
customers
/
{id}
/
credits
/
{productId}
Get credit product
curl --request GET \
  --url https://api.hyperline.co/v1/customers/{id}/credits/{productId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hyperline.co/v1/customers/{id}/credits/{productId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hyperline.co/v1/customers/{id}/credits/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "product_id": "itm_3kXODDF42QXtnL",
  "customer_id": "cus_Typ0px2W0aiEtl",
  "name": "Credit name",
  "current_balance": 2000,
  "low_count_threshold": 10,
  "last_refreshed_at": "2025-11-23T09:00:01.860Z",
  "auto_topup": {
    "credit_count": 32,
    "amount_excluding_tax": null,
    "price_id": null
  },
  "created_at": "2025-10-12T07:00:01.860Z",
  "updated_at": "2025-10-13T10:00:01.860Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
productId
string
required

Response

200 - application/json
product_id
string
required

Credit product ID.

Example:

"itm_3kXODDF42QXtnL"

customer_id
string
required

Customer ID related to the credit.

Example:

"cus_Typ0px2W0aiEtl"

name
string
required

Credit name.

Example:

"Credit name"

current_balance
number
required

Current credit balance.

Example:

2000

low_count_threshold
number | null
required

Value indicating a low threshold.

Example:

10

last_refreshed_at
string<date-time>
required

Credit last refresh date. UTC date time string in the ISO 8601 format.

Example:

"2025-11-23T09:00:01.860Z"

auto_topup
object | null
required

Auto top-up options.

created_at
string<date-time>
required

Credit creation date. UTC date time string in the ISO 8601 format.

Example:

"2025-10-12T07:00:01.860Z"

updated_at
string<date-time>
required

Credit last edition date. UTC date time string in the ISO 8601 format.

Example:

"2025-10-13T10:00:01.860Z"